Upgrade to Ploticus 2.41 to fix non-conformant XHTML in EasyTimeline
Closed, ResolvedPublic

Description

W3C validator complains about the lack of id attribute for <map> and alt attribute for <area> (see URL above).


Version: unspecified
Severity: normal
URL: http://validator.w3.org/check?verbose=1&uri=http%3A%2F%2Fen.wikipedia.org%2Fwiki%2FTemplate%3ATimeline_of_compact_Macintosh_models

Details

Blocks
T2209: HTML validity (tracking)
Reference
bz14727
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz14727.
MaxSem created this task.Jul 4 2008, 10:55 AM

Quick fix for the PHP part.

Also complains about the img without alt tag.

attachment timeline_patch.patch ignored as obsolete

Quick fix for the PHP part (now with the title escaped)

attachment timeline_patch.patch ignored as obsolete

Patch against ploticus

This patch fixes ploticus mapfile output to be conformant with XHTML.
Sent to http://tech.groups.yahoo.com/group/ploticus/ as well.

attachment area_alt.patch ignored as obsolete

Patch against ploticus

This patch fixes ploticus mapfile output to be conformant with XHTML.
Sent to http://tech.groups.yahoo.com/group/ploticus/ as well.

Attached: area_alt.patch

Quick fix for the PHP part.

If the hash begin by a number, it'd form an invalid id.
Obsoleting the duplicate patch.

Attached: timeline_php.patch

demon added a comment.Jul 16 2008, 3:55 AM

Patch implemented as part of r37735.

Good. Now we just need a custom build of ploticus or having it patched upstream and upgrade.
No answers yet for http://tech.groups.yahoo.com/group/ploticus/message/2091 though :(

Assigned to extension developer.

Note: my patch was reverted in r37842

In answer to brion concerns at r37842
a) My patch did define global wgTitle.
b) Yes, it's lame, but even if useless makes the page validate, which was the point :)

Ploticus 2.41 was released today, with the fix for the ploticus side.

mike.lifeguard+bugs wrote:

I guess leaving this assigned to Erik doesn't make much sense as it's a shell request.

Reedy added a comment.Dec 1 2010, 5:59 PM

Platonides, any idea where we are with this?

It should be fixed on the servers with Lucid (10.04), since it comes with ploticus 2.41-3. For Hardy (8.04), it will need to be upgraded since the package is 2.33-3.

Reedy added a comment.Feb 9 2012, 11:03 PM

All servers are on lucid

Add Comment